q4wine-cli(1)

NAME
q4wine-cli - console utility for wine applications and prefixes management.

SYNOPSIS
q4wine-cli [KEY] ...
q4wine-cli -p <prefix_name> [-d <dir_name>] -i <icon_name>
q4wine-cli -p <prefix_name> -b <windows_binary_path> [args]

DESCRIPTION
q4wine-cli is part of the Q4Wine project. It provides a console interface to the Q4Wine database and its core functions.

OPTIONS
A summary of options is included below.

-ps, --procs
    output Wine process list for current prefix or for all prefixes and exit

-p,  --prefix
    sets the current prefix name

-d,  --dir
    sets the current directory name

-i,  --icon
    sets the current icon name

-cd, --cdimage
    sets the cd image name

-b, --binary
    sets the path to Windows binary for execute with current prefix settings

-k,  --kill
    sends -9 term signal to current prefix process or for all prefixes processes

-pl, --prefixlist
    output all existing prefix names and exit

-dl, --dirlist
    output all existing dir names for current prefix and exit

-il, --iconlist
    output all existing icon names for current prefix/directory and exit

-cl, --cdlist
    output list of all cd images and exit

-ml, --mountlist
    output all mounted media for current prefix or all prefixes and exit

-m,  --mount
    mount a cd image or drive for current prefix and exit

-u,  --umount
    umount a cd image or drive for current prefix and exit

-h,  --help
    display help and exit

-v,  --version
    output version information and exit

EXIT STATUS
0 if OK or -1 if serious troubles

FILES

/usr/bin/q4wine
    The Q4Wine main gui program

/usr/bin/q4wine-cli
    The Q4Wine command line interface program

/usr/bin/q4wine-helper
    The Q4Wine runner helper program

/usr/lib/q4wine
    Directory containing Q4Wine's shared libraries

$HOME/.config/q4wine
    Directory containing Q4Wine config, icons, database and temporary files.

AUTHORS

  Thanks to all:
Q4Wine is available thanks to the work of many to all people, who was involved in the development process, testing, bugreporting, packaging or translation creation. For a full listing of the authors, please see the file AUTHORS in the top-level directory of the source distribution.

  Active developers:

Alexey S. Malakhov (brezerk) <brezerk at gmail.com>
    Project maintainer, lead developer, web site designer and developer, project documentation, support, etc. ;)

Sergey Skrypnic (opium) <opium@jabber.com.ua>
    Website developer, hosting administration

  Inactive developers:

Pavel Zinin (pashazz) <pzinin at gmail.com>
    Winetricks plugin developer

Dmitry Marakasov (amdmi3) <amdmi3 at amdmi3.ru>
    FreeBSD support fixes

COPYRIGHT
Q4Wine can be distributed under the terms of the GPLv3 license. A copy of the license is in the file LICENSE in the top-level directory of the source distribution.

AVAILABILITY
The most recent public version of wine can be downloaded from http://q4wine.brezblock.org.ua/download/ The latest snapshot of the code may be obtained via GIT for information on how to do this, please see http://q4wine.brezblock.org.ua/download/#git Q4Wine, development headquarters, is at http://q4wine.brezblock.org.ua This website contains a great deal of information about Q4Wine.

BUGS
If you find a bug in Q4Wine please report it to <brezerk at gmail.com> or directly to Q4Wine bug tracker https://sourceforge.net/projects/q4wine/

SEE ALSO

q4wine(1), q4wine-helper(1), wine(1), wineserver(1)